%define majver %(echo %version | cut -d. -f1-2)

Name:          akonadi-import-wizard
Version:       23.08.1
Release:       1mamba
Summary:       KDE Frameworks 5 Akonadi import wizard
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        https://download.kde.org/stable/release-service/%{version}/src/akonadi-import-wizard-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libakonadi-contacts-devel
BuildRequires: libakonadi-devel
BuildRequires: libakonadi-mime-devel
BuildRequires: libassuan-devel
BuildRequires: libgcc
BuildRequires: libgpgme-devel
BuildRequires: libgrantlee-devel
BuildRequires: libgrantleetheme-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdepim-devel
BuildRequires: libki18n-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libkimap-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkleo-devel
BuildRequires: libkmailtransport-devel
BuildRequires: libkmime-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkservice-devel
BuildRequires: libktextaddons-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libmailcommon-devel
BuildRequires: libmailimporter-devel
BuildRequires: libpimcommon-devel
BuildRequires: libqtkeychain-devel
BuildRequires: libstdc++6-devel
BuildRequires: messagelib-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRequires: libgpgme-devel >= 1.18.0
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
KDE Frameworks 5 Akonadi import wizard.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_bindir}/akonadiimportwizard
%{_datadir}/applications/org.kde.akonadiimportwizard.desktop
%{_datadir}/icons/hicolor/*/apps/kontact-import-wizard.png
%{_datadir}/importwizard/pics/step1.png
%{_datadir}/qlogging-categories5/importwizard.categories
%{_datadir}/qlogging-categories5/importwizard.renamecategories

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libKPim5ImportWizard.so.*
%dir %{_libdir}/qt5/plugins/pim5/importwizard
%{_libdir}/qt5/plugins/pim5/importwizard/*.so
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/KPim5/ImportWizard
%{_includedir}/KPim5/ImportWizard/*
%{_libdir}/libKPim5ImportWizard.so
%dir %{_libdir}/cmake/KPim5ImportWizard
%{_libdir}/cmake/KPim5ImportWizard/*.cmake
%dir %{_libdir}/cmake/KPimImportWizard
%{_libdir}/cmake/KPimImportWizard/*.cmake

%changelog
* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Wed Aug 30 2023 Automatic Build System <autodist@mambasoft.it> 23.08.0-1mamba
- automatic version update by autodist

* Tue Jul 11 2023 Automatic Build System <autodist@mambasoft.it> 23.04.3-1mamba
- automatic version update by autodist

* Tue Jun 13 2023 Automatic Build System <autodist@mambasoft.it> 23.04.2-1mamba
- automatic version update by autodist

* Sat May 13 2023 Automatic Build System <autodist@mambasoft.it> 23.04.1-1mamba
- automatic version update by autodist

* Tue May 02 2023 Automatic Build System <autodist@mambasoft.it> 23.04.0-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 22.12.3-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 22.12.2-1mamba
- automatic version update by autodist

* Sun Jan 08 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Sun Dec 11 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Sun Nov 06 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Mon Oct 17 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Fri Sep 09 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Sat Aug 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.08.0-2mamba
- rebuilt with libgpgme 1.18.0

* Sat Aug 27 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Sun Jun 12 2022 Automatic Build System <autodist@mambasoft.it> 22.04.2-1mamba
- automatic version update by autodist

* Tue May 17 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Thu Apr 28 2022 Automatic Build System <autodist@mambasoft.it> 22.04.0-1mamba
- automatic version update by autodist

* Sat Mar 05 2022 Automatic Build System <autodist@mambasoft.it> 21.12.3-1mamba
- automatic version update by autodist

* Sun Feb 06 2022 Automatic Build System <autodist@mambasoft.it> 21.12.2-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 21.12.1-1mamba
- automatic version update by autodist

* Fri Dec 17 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Tue Nov 09 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Mon Oct 11 2021 Automatic Build System <autodist@mambasoft.it> 21.08.2-1mamba
- automatic version update by autodist

* Sun Sep 05 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Fri Aug 20 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Fri Jul 09 2021 Automatic Build System <autodist@mambasoft.it> 21.04.3-1mamba
- automatic version update by autodist

* Sat Jun 19 2021 Automatic Build System <autodist@mambasoft.it> 21.04.2-1mamba
- automatic version update by autodist

* Fri May 14 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Tue Apr 27 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Sat Mar 06 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Sat Feb 06 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Sun Jan 10 2021 Automatic Build System <autodist@mambasoft.it> 20.12.1-1mamba
- automatic version update by autodist

* Mon Dec 21 2020 Automatic Build System <autodist@mambasoft.it> 20.12.0-1mamba
- automatic version update by autodist

* Sat Nov 07 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sun Oct 11 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Sat Aug 22 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Sun Jul 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Sat Jun 13 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Sun May 17 2020 Automatic Build System <autodist@mambasoft.it> 20.04.1-1mamba
- automatic version update by autodist

* Mon Apr 27 2020 Automatic Build System <autodist@mambasoft.it> 20.04.0-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 19.12.3-1mamba
- automatic version update by autodist

* Sat Feb 08 2020 Automatic Build System <autodist@mambasoft.it> 19.12.2-1mamba
- automatic version update by autodist

* Sat Jan 11 2020 Automatic Build System <autodist@mambasoft.it> 19.12.1-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 19.12.0-1mamba
- package created using the webbuild interface
